VMTKBRANCHPATCHING(1)

NAME
vmtkbranchpatching - vmtk script vmtkbranchpatching

DESCRIPTION
Automatic piping vmtkbranchpatching Parsing options vmtkbranchpatching

vmtkbranchpatching : cut a set of contiguous rectangular regions on a

    surface that follow iso-contours in the StretchedMapping and AngularMetric arrays

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-patchsize PatchSize (float,2) >= 0.0; default=[0.0, 0.0]

-longitudinalpatchsize LongitudinalPatchSize (float,1) >= 0.0;

    default=1.0

-circularpatches CircularNumberOfPatches (int,1) >= 0; default=1

-circularpatching CircularPatching (bool,1); default=1

-connectivity UseConnectivity (bool,1); default=1

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-longitudinalmappingarray LongitudinalMappingArrayName (str,1);

    default=AbscissaMetric

-circularmappingarray CircularMappingArrayName (str,1);

    default=AngularMetric

-longitudinalpatchnumberarray LongitudinalPatchNumberArrayName

    (str,1); default=Slab

-circularpatchnumberarray CircularPatchNumberArrayName (str,1);

    default=Sector

-patchareaarray PatchAreaArrayName (str,1); default=PatchArea

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

-patcheddatafile PatchedDataOutputFileName (str,1): filename for

    the default PatchedData writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-patcheddata PatchedData (vtkImageData,1)

-patchsize PatchSize (float,2); default=[0.0, 0.0]

-longitudinalpatchnumberarray LongitudinalPatchNumberArrayName

    (str,1); default=Slab

-circularpatchnumberarray CircularPatchNumberArrayName (str,1);

    default=Sector

-patchareaarray PatchAreaArrayName (str,1); default=PatchArea